package org.jeecg.modules.fbsMomOrder.entity;

import java.util.Map;
import java.util.Set;
import java.util.concurrent.ConcurrentHashMap;

/**
 * 功能描述：
 *
 * @Author: chenchuang
 * @Date: 2021/2/26 13:13
 */
public class CacheManagerImpl implements ICacheManager {
    private static Map<String, EntityCache> caches = new ConcurrentHashMap<>();
    @Override
    public void putCache(String key, EntityCache cache) {
        caches.put(key, cache);
    }

    @Override
    public void putCache(String key, Object datas, long timeOut) {

    }

    @Override
    public EntityCache getCacheByKey(String key) {
        return null;
    }

    @Override
    public Object getCacheDataByKey(String key) {
        return null;
    }

    @Override
    public Map<String, EntityCache> getCacheAll() {
        return null;
    }

    @Override
    public boolean isContains(String key) {
        return false;
    }

    @Override
    public void clearAll() {

    }

    @Override
    public void clearByKey(String key) {

    }

    @Override
    public boolean isTimeOut(String key) {
        return false;
    }

    @Override
    public Set<String> getAllKeys() {
        return null;
    }
}
